extern crate wasm_bindgen;

use wasm_bindgen::prelude::*;

#[wasm_bindgen]
extern
{
    pub fn alert(message : &str);
}

#[wasm_bindgen]
pub fn print_message(message : &str)
{
    let target_message : String = format!("Hello, {}!", message);

    alert(&target_message);
}

#[wasm_bindgen]
pub fn multiply(value1 : i32, value2 : i32) -> i32
{
    return value1 * value2;
}